<?- include('./../../partials/header') -?>

<script src="/socket.io/socket.io.js"></script>
<!-- <script src="https://code.jquery.com/jquery-1.11.1.js"></script> -->
<style>

	.image{
	  width: 100px;
	}
</style>

    <div class="page">
        <div class="page-main">
           
            <?- include('./../../partials/nav') -?>
            <div class="app-content page-body">
                <div class="container">

                    <!--Page header-->
                    <div class="page-header">
                        <div class="page-leftheader">
                            <h4 class="page-title">ระบบบริหารจัดการคลัง</h4>
                            <ol class="breadcrumb pl-0">
                                <li class="breadcrumb-item"><a href="#">หน้าหลัก</a></li>
                                <li class="breadcrumb-item active" aria-current="page">คลังสินค้า</li>
                            </ol>
                        </div>
                    </div>
                    <!--End Page header-->
						<!--Row-->
						<div class="row">
							<div class="col-xl-12 col-md-12 col-lg-12">
								<div class="card">
									<div class="card-header">
										<h3 class="card-title">คลังสินค้า LISH Flora</h3>
										<div class="card-options ">
											<a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
											<a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
										</div>
									</div>
									<div class="card-body">
										<div class="row">
											<div class="col-xl-3 col-lg-6 col-md-12 border-right dash1">
												<p class=" mb-0 "> สั่งซื้อทั้งหมด</p>
												<h2 class="mb-2"><?= total_order ?><span class="fs-12 text-muted ml-1">กล่อง</span></h2>
												<div class="progress progress-xs mb-0">
													<div class="progress-bar bg-primary" style="width: 78%"></div>
												</div>
											</div>
										
											<div class="col-xl-3 col-lg-6 col-md-12 border-right dash1">
												<p class=" mb-0 "> คงเหลือ</p>
												<h2 class="mb-2"><?= sum_total_order ?><span class="fs-12 text-muted ml-1">กล่อง</span></h2>
												<div class="progress progress-xs mb-0">
													<div class="progress-bar bg-secondary" style="width: 58%"></div>
												</div>
											</div>
											<div class="col-xl-3 col-lg-6 col-md-12 border-right dash1">
												<p class=" mb-0 "> ขายไปแล้ววันนี้</p>
												<h2 class="mb-2"><?= order_today ?><span class="fs-12 text-muted ml-1">กล่อง</span></h2>
												<div class="progress progress-xs mb-0">
													<div class="progress-bar bg-warning" style="width: 73%"></div>
												</div>
											</div>
											<div class="col-xl-3 col-lg-6 col-md-12">
												<p class=" mb-0 "> ขายไปแล้วเดือนนี้</p>
												<h2 class="mb-2"><?= order_last_month ?><span class="fs-12 text-muted ml-1">กล่อง</span></h2>
												<div class="progress progress-xs mb-0">
													<div class="progress-bar bg-success" style="width: 45%"></div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
                        <!--End row-->
						<!--Row-->
						<div class="row">
							<div class="col-xl-12 col-lg-12 col-md-12">
								<div class="card ">
									<div class="card-header">
										<h3 class="card-title">คลังสินค้าเป็น LOT</h3>
										<div class="card-options ">
											<a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
											<a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
										</div>
									</div>
									<div class="mb-0">
										<div class="table-responsive">
											<table class="table mb-0 table-vcenter table-hover text-nowrap">
												<thead>
													<tr>
														<th>ลำดับ</th>
														<th>รูป</th>
														<th>สินค้า</th>
														<th>ราคา</th>
														<th>จำนวน</th>
													   
													</tr>
												</thead>

												<tbody class="display_products">

													<? 
													if(data.rowCount > 0){
													 
															 var all_data = data.rows;
															 var i=1;
														 for(var item in all_data) { 
															 //console.log('data=',all_data[item].product_id)
															 ?> 
															 <tr>
																 <th scope="row"><?= i ?></th>
																 <th scope="row"><img class="image" src="/uploads/<?= all_data[item].product_image ?>"></th>
																 <td><?= all_data[item].product_name?></td>
																 <td><?= all_data[item].product_price?></td>
																 <td><?= all_data[item].quantity?></td>
															 </tr>
															 <? 
															 i++;
														 }
															
													}else{ 
			 
														 ?>
														 <tr>
															 <td colspan="5">No Product</td>
														 </tr>
														 <? 
													 } 
												 ?>    
													
												</tbody>

											</table>
										</div>
									</div>
								</div>
							</div>
						</div>
						<!--End row-->                        
                    </div>
            </div><!-- end app-content-->
        </div>
		<!--Dygraph Charts js -->
        <?- include('./../../partials/footer') -?>
    </div>

	<script>

		
	  

		$(function(){

						/* var socket = io();

						socket.on('showrows', function(data) {

							console.log('showrowsshowrows',data);
							$.each(data,function(index,products){
														
														console.log('products',products)
														
														list_product += "<tr>";
														list_product += "<td>" + (i+1) + "</td>";
														list_product += "<td>" + products.product_name+ "</td>";
														list_product += "<td>" + products.product_price+ "</td>";
														list_product += "<td>" + products.product_qty+ "</td>";
														list_product += "</tr>";

														i++;
														
													});

													$('.display_products').html(list_product);
						});


						socket.on('connect',function(data) {

									var list_product = "";
									var i = 0;
									
										$.ajax({
												//cache: true,
												type:'GET',
												async:false,
												url:  'http://localhost:3500/products/list_products_api',
												success: function(data) {
													console.log('list_products_api',data)

													$.each(data.jsondata,function(index,products){
														
														console.log('products',products)
														
														list_product += "<tr>";
														list_product += "<td>" + (i+1) + "</td>";
														list_product += "<td>" + products.product_name+ "</td>";
														list_product += "<td>" + products.product_price+ "</td>";
														list_product += "<td>" + products.product_qty+ "</td>";
														list_product += "</tr>";

														i++;
														
													});

													$('.display_products').html(list_product);

													socket.emit('join',list_product);
												}
											});
						});
 */
				})



</script>
